Subject: bug#17555: 24.4.50; 'mark-paragraph' does not allow extending the region backwards

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Aug 2019 16:51:37 -0700

Dani Moncayo <[email-masked]> writes:

> After reading (info "(emacs) Marking Objects") and doing some tests, I
> wonder why 'mark-paragraph' does not behave like 'mark-word' and
> 'mark-sexp' when the mark is located before point.  In that situation
> 'mark-word' and 'mark-sexp' move the mark backwards to select an
> earlier element (which I think is TRT), but 'mark-paragraph' moves the
> mark forward instead (like when the mark is after point).
>
> Could this inconsistency be fixed?

It is somewhat inconsistent, but it's been documented to be this way
since at least 2001:

--
Put point at beginning of this paragraph, mark at end.
The paragraph marked is the one that contains point or follows point.
--

So I don't think this is something than can be changed at this point,
and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no